%define libname_orig libpng
%define major 3
%define libname	%mklibname png %{major}
%define develname %mklibname png -d
%define staticname %mklibname png -d -s

Summary:	A library of functions for manipulating PNG image format files
Summary(de):	Eine Bibliothek an Funktionen zur Manipulation von PNG-Dateien
Name:		libpng
Version:	1.2.56
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source:		http://prdownloads.sourceforge.net/libpng/%{name}-%{version}.tar.xz
Patch0:		libpng-1.2.49-apng.patch
Patch1:		libpng-1.2.36-pngconf-setjmp.patch
Patch2:		libpng-1.2.44-CVE-2008-6218.diff
Patch4:		libpng12-CVE-2013-6954.patch
Patch5:		libpng-1.2.50-CVE-2013-7353.patch
Patch6:		libpng-1.2.50-CVE-2013-7354.patch
BuildRequires: 	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%{staticname}

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

#german
%description -l de
%{summary}.

%package -n	%{libname}
Summary:	A library of functions for manipulating PNG image format files
Summary(de):	Eine Bibliothek an Funktionen zur Manipulation von PNG-Dateien
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

#german
%description -n	%{libname} -l de
Eine Bibliothek an Funktionen zur Manipulation von PNG-Dateien.

%package -n	%{develname}
Summary:	Development tools for programs to manipulate PNG image format files
Summary(de):	Entwicklerdateien für Programme zum Manipulation von PNG-Dateien
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	zlib-devel
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	png-devel = %{version}-%{release}
Obsoletes:	%{mklibname png 3 -d} < 1.2.30
Provides:	%mklibname png 3 -d

%description -n	%{develname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

#german
%description -n	%{develname} -l de
%{summary}.

%package -n	%{libname_orig}-source
Summary:	Source code of %{libname_orig}
Summary(de):	Source Code von %{libname_orig}
Group:		Development/Libraries

%description -n	%{libname_orig}-source
This package contains the source code of %{libname_orig}.

#german
%description -n	%{libname_orig}-source -l de
%{summary}.

%prep
%setup -q
%patch0 -p1 -b .apng
%patch1 -p0 -b .pngconf-setjmp
%patch2 -p0 -b .CVE-2008-6218
%patch4 -p1 -b .CVE-2013-6954
%patch5 -p0 -b .CVE-2013-7353
%patch6 -p0 -b .CVE-2013-7354


./autogen.sh

%build
export CONFIGURE_TOP=`pwd`

CFLAGS="%{optflags} -O3 -funroll-loops" \

%configure2_5x --with-pic --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d %{buildroot}%{_mandir}/man{3,5}
install -m0644 {libpng,libpngpf}.3 %{buildroot}%{_mandir}/man3
install -m0644 png.5 %{buildroot}%{_mandir}/man5/png3.5

install -d %{buildroot}%{_prefix}/src/%{libname_orig}
cp -a *.c *.h %{buildroot}%{_prefix}/src/%{libname_orig}

# remove unpackaged files
rm -rf %{buildroot}{%{_prefix}/man,%{_libdir}/lib*.la}

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/libpng12-config

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/libpng12.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES
%{_bindir}/libpng-config
%{_bindir}/libpng12-config
%{multiarch_bindir}/libpng12-config
%{_includedir}/*
%{_libdir}/libpng12.so
%{_libdir}/libpng.so
%{_libdir}/pkgconfig/*
%{_mandir}/man?/*


%files -n %{libname_orig}-source
%defattr(-,root,root)
%{_prefix}/src/%{libname_orig}


%changelog
* Thu Nov 03 2016 adrianomorslli <adrianomorselli> 1.2.56-1uplos2016
- rebuild

* Sat Jun 04 2016 bb <bb> 1.2.56-1pclos2016
- update

* Sun Dec 20 2015 bb <bb> 1.2.55-1pclos2015
- update

* Tue Nov 17 2015 bb <bb> 1.2.54-1pclos2015
- update

* Tue Dec 02 2014 bb <bb> 1.2.52-1pclos2014
- update
- apply security updates
- obsolete static package

* Fri Aug 08 2014 ghostbunny <ghostbunny at gmx dot de> 1.2.51-1pclos2014
- 1.2.51

